Network Discovery
- POST /network/tag-summary
Get tag summary for a zone
Returns all unique tags on physical networks, which offerings reference each tag, and diagnostics for orphan/broken tag relationships.
- Request JSON Object:
zone_id (string) – (required)
- Status Codes:
200 OK – Tag summary
400 Bad Request – Invalid request payload
500 Internal Server Error – Failed to build tag summary
- Response JSON Object:
counts.total_offerings (integer)
counts.total_physical_networks (integer)
counts.total_tags (integer)
diagnostics.broken_offerings[].guest_ip_type (string)
diagnostics.broken_offerings[].id (string)
diagnostics.broken_offerings[].is_default (boolean)
diagnostics.broken_offerings[].name (string)
diagnostics.broken_offerings[].specify_vlan (boolean)
diagnostics.broken_offerings[].state (string)
diagnostics.orphan_tags[] (string)
tags[].offerings[].guest_ip_type (string)
tags[].offerings[].id (string)
tags[].offerings[].is_default (boolean)
tags[].offerings[].name (string)
tags[].offerings[].specify_vlan (boolean)
tags[].offerings[].state (string)
tags[].physical_networks[].id (string)
tags[].physical_networks[].isolation_methods (string)
tags[].physical_networks[].name (string)
tags[].physical_networks[].state (string)
tags[].tag (string)
zone_id (string)